# Google Cloud Sql Admin V1 Client - Class SqlInstancesTruncateLogRequest (1.9.0)

1.9.0 (latest) 1.8.0 1.7.0 1.6.0 1.5.0 1.4.0 1.3.1 1.2.6 1.1.0 1.0.0 0.19.0 0.18.0 0.17.1 0.16.1 0.12.0 0.11.0 0.10.0 0.9.0 0.8.0 0.7.0 0.6.0 0.5.0 0.4.1 0.3.1 0.2.12 Reference documentation and code samples for the Google Cloud Sql Admin V1 Client class SqlInstancesTruncateLogRequest.

Instance truncate log request.

Generated from protobuf message `google.cloud.sql.v1.SqlInstancesTruncateLogRequest`

## Namespace

Google \\ Cloud \\ Sql \\ V1

## Methods

### __construct

Constructor.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `data` | `array` Optional. Data for populating the Message object. |
| `↳ instance` | `string` Cloud SQL instance ID. This does not include the project ID. |
| `↳ project` | `string` Project ID of the Cloud SQL project. |
| `↳ body` | `https://docs.cloud.google.com/php/docs/reference/cloud-sql-admin/latest/V1.InstancesTruncateLogRequest` |

### getInstance

Cloud SQL instance ID. This does not include the project ID.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setInstance

Cloud SQL instance ID. This does not include the project ID.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getProject

Project ID of the Cloud SQL project.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setProject

Project ID of the Cloud SQL project.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getBody

Generated from protobuf field `.google.cloud.sql.v1.InstancesTruncateLogRequest body = 100;`

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-sql-admin/latest/V1.InstancesTruncateLogRequest|null` |   |

### hasBody

### clearBody

### setBody

Generated from protobuf field `.google.cloud.sql.v1.InstancesTruncateLogRequest body = 100;`

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `https://docs.cloud.google.com/php/docs/reference/cloud-sql-admin/latest/V1.InstancesTruncateLogRequest` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |